Bug 19252 - i18n-ISSUE-197: Number of multiple rt elements
i18n-ISSUE-197: Number of multiple rt elements
Status: VERIFIED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC All
: P2 normal
: ---
Assigned To: Robin Berjon
HTML WG Bugzilla archive list
: CR
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 16:39 UTC by i18n IG
Modified: 2014-03-06 23:15 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description i18n IG 2012-10-03 16:39:07 UTC
(endorsed by the i18n WG)

4.6.20 The ruby element
http://dev.w3.org/html5/spec/the-ruby-element.html#the-ruby-element

"One or more rt elements"

This implies that you could have three or more rt elements in a row. Is that intended? I'm not sure it makes sense, since this is not intended to be a generic annotation markup. We should probably say one or two rt elements.

Please also provide some wording about when to use this approach of multiple rt's rather than nesting, and provide an example.
Comment 1 Robin Berjon 2013-12-13 14:25:38 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: Complete overhaul of the section.
Rationale: In the new model this behaves differently (and arbitrary numbers of <rt>s make sense).
Comment 2 Addison Phillips 2014-03-06 23:15:08 UTC
I18N is satisfied by these changes. Thank you.